import { addElement, removeElement } from "zen-cerebellum";
import { MESSAGE_NOTIFY, MESSAGE_DISMISS, MESSAGES_CLEAR } from "../constants";

const initialState = [];

export default function notificationsReducer(state = initialState, action) {
  switch (action.type) {
    case MESSAGES_CLEAR:
      return initialState;

    case MESSAGE_NOTIFY:
      return addElement(state, action.payload);

    case MESSAGE_DISMISS:
      return removeElement(state, action.payload);

    default:
      return state;
  }
}
